import java.awt.*;
import java.applet.*;
import java.lang.*;


public class TitlePanel extends Panel{
	//private static final Color bgcolor = new Color(170,200,200);
	//private static final Color bgcolor = new Color(216,216,191);
	private static final Color bgcolor = new Color(236,236,221);
	//private static final Color bgcolor = Color.lightGray;
	String titulo, titulo2;
	public TitlePanel(){
		super();
                titulo="Unknown Title";
                titulo2="Unknown Title";
        }
        public TitlePanel(String titulo, String titulo2){
                super();
                this.titulo=titulo;
                this.titulo2=titulo2;
        }
	public void paint(Graphics g){
                FontMetrics fmetrics=g.getFontMetrics();

		g.setColor(Color.gray);	
		g.fillRect(0,0,getSize().width-1,getSize().height-1);
		g.setColor(Color.black);
        	g.drawLine(0,getSize().height-1,getSize().width-1,getSize().height-1);
        	g.drawLine(getSize().width-1,0,getSize().width-1,getSize().height-1);
        	g.setColor(Color.white);
        	g.drawLine(0,0,getSize().width-1,0);
        	g.drawLine(0,0,0,getSize().height-1);

		g.setColor(Color.black);
        	g.drawLine(5,5,getSize().width-6,5);
        	g.drawLine(5,5,5,getSize().height-6);
		g.setColor(Color.white);
        	g.drawLine(5,getSize().height-5,getSize().width-5,getSize().height-5);
        	g.drawLine(getSize().width-5,5,getSize().width-5,getSize().height-5);

		g.setColor(bgcolor);
		g.fillRect(6,6,getSize().width-11,getSize().height-11);

		//g.setColor(Color.black);
		//g.setFont(new Font("SanSerif",Font.BOLD,18));
	        //FontMetrics fmetrics=g.getFontMetrics();
		//g.drawString(titulo,(getSize().width-fmetrics.stringWidth(titulo))/2,fmetrics.getHeight()+5);
	
                Graphics2D g2d = (Graphics2D)g;
                g2d.setRenderingHint(RenderingHints.KEY_ANTIALIASING,RenderingHints.VALUE_ANTIALIAS_ON);
    
                //g.setFont(new Font("SanSerif",Font.PLAIN,11));
                g.setFont(new Font("SanSerif",Font.BOLD,15));
                fmetrics = g.getFontMetrics();
                /*
	        g.setColor(Color.lightGray);
                //g.drawString(titulo,15,11);
		g.setColor(Color.black);
                g.drawString(titulo,14,18);
                */
                g.setColor(Color.black);
                g.drawString(titulo,14,31);
                
                //g.setFont(new Font("SanSerif",Font.BOLD,14));
	        //fmetrics = g.getFontMetrics();
                g.setColor(Color.lightGray);
                //g.drawString(titulo2,121,31);
                g.drawString(titulo2,121,31);
                g.setColor(Color.red.darker());
                //g.drawString(titulo2,120,30);
                g.drawString(titulo2,120,30);
                
                g2d.setRenderingHint(RenderingHints.KEY_ANTIALIASING,RenderingHints.VALUE_ANTIALIAS_OFF);
    

        }

}


/*
import java.awt.*;
import java.applet.*;
import java.lang.*;

public class TitlePanel extends Panel{
	private static final Color bgcolor = new Color(236,236,221);
	Antenna ant1;
	String titulo;
	TitlePanel(Antenna ant1){
		super();
		this.ant1=ant1;
		titulo="Two Dipole Array";
		setBackground(bgcolor);
	}
	public void paint(Graphics g){
		g.setColor(Color.gray);	
		g.fillRect(0,0,getSize().width-1,getSize().height-1);
		g.setColor(Color.black);
        	g.drawLine(0,getSize().height-1,getSize().width-1,getSize().height-1);
        	g.drawLine(getSize().width-1,0,getSize().width-1,getSize().height-1);
        	g.setColor(Color.white);
        	g.drawLine(0,0,getSize().width-1,0);
        	g.drawLine(0,0,0,getSize().height-1);

		g.setColor(Color.black);
        	g.drawLine(5,5,getSize().width-6,5);
        	g.drawLine(5,5,5,getSize().height-6);
		g.setColor(Color.white);
        	g.drawLine(5,getSize().height-5,getSize().width-5,getSize().height-5);
        	g.drawLine(getSize().width-5,5,getSize().width-5,getSize().height-5);

		g.setColor(new Color(236,236,221));
		g.fillRect(6,6,getSize().width-11,getSize().height-11);

		g.setColor(Color.black);
		g.setFont(new Font("Helvetica",Font.BOLD,18));
	        FontMetrics fmetrics=g.getFontMetrics();
		g.drawString(titulo,(getSize().width-fmetrics.stringWidth(titulo))/2,fmetrics.getHeight()+5);
	}

}
*/
